Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0033500
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] Z. Othersmajoralways2016-07-19 17:312018-02-22 17:23
ReportermaiteView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityurgentResolutionfixedFixed in Version3.0PR16Q4
StatusclosedFix in branchFixed in SCM revision0fe55503791b
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0033500: Wrong payment schedule details when return to vendor document is invoiced using credit a memo invoice

DescriptionWrong payment schedule details when return to vendor document is invoiced using credit a memo invoice
Steps To Reproduce1. Register Return to Vendor document for "Bebidas Alegres" bp. Add any line and process
2. Register Return To Vendor Shipment document for same bp. Pick previous order and process
3. Register Purchase Invoice with type "Credit memo". Run "Create lines from" process and select previous return order or shipment. Edit invoice line to set positive qty (as required when using credit memo document) and process it
4. Run Add Payment from invoice and create Payment Out document
5. Access Payment Out window, register new document for same bp and run "Add details" process. Change type to "orders and invoices" in grid and realize that previous order can be found as pending, which is not correct
TagsNo tags attached.
Attached Filespng file icon Issue_33500.png [^] (68,084 bytes) 2016-07-20 14:23

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00326783.0PR16Q3 closedAtulOpenbravo Wrong schedule details when purchase order is not fully invoiced and related invoices have partial payment terms 
related to defect 00300823.0PR15Q3 closedjorge-garcia Payment plan is updating wrong in some circunstancies 
related to defect 00299723.0PR15Q3 closedjorge-garcia Outstanding amount of sales order payment plan is not updated when payment method is set as automatic receipt 
related to defect 00280353.0PR15Q2 closedAtulOpenbravo Cannot pay a purchase order if it is invoiced with more orders and then reactivated and booked again 
related to defect 00245643.0MP28 closedpramakrishnan Wrong Payment posting when related invoice is linked to reactivated order 
related to defect 0035726 closedAtulOpenbravo Wrong payment plan details in an invoice with split payment terms including an order with a discount and increasing its price 
related to defect 0036637 closedcollazoandy4 Include in QA client dataset a payment term that split into more than just one payment 
related to defect 0036745 closedcollazoandy4 Purchase order schedule details is not updated when same purchase order line is invoiced twice and second invoice have a negativ 
related to defect 0037239 closedAtulOpenbravo Negative quantity is invoiced if Credit Memo is used for invoicing Return From Customer and Return Material Receipt 
blocks defect 0035683 closedcollazoandy4 Wrong data caused by 33500 needs to be corrected 

-  Notes
(0088599)
psanjuan (manager)
2016-07-20 13:54
edited on: 2016-07-20 14:25

Issue verified as described below:

1- Go to Return to Vendor window and create a new one for F&B España, Bebidas Alegres BP. Press on Pick/Edit Lines.
- Select two lines for instance of the ones being shown related to given shipment numbers (in fact already booked Goods Receipts). Enter a returned quantity and optionally a return reason. Press Done.
- Book the order (RTV Order). Take note of its number (i.e 1000001)
- Check that there is a payment out plan there, having an expected amount = -7385.84 for instance.

2- Go to Return to Vendor Shipment and create a new one for F&B España, Bebidas Alegres BP.
- Press Pick/Edit lines, select the two lines of previously created RTV Order.
- Press Done and then complete RTV Shipment. Take note of RTV Shipment number (ie. 1000001)

3- Go to Purchase Invoice and create a new one for F&B España, Bebidas Alegres BP. Transaction Document Type = Reversed Purchase Invoice.
- Click on Create Lines From. Select RTV Shipment created above. Select the two lines and press OK.
- Complete the invoice. Note that invoiced quantity is negative so Total Gross Amount to pay = -7385.84
- Pay this reversed purchase invoice by using the button Add Payment. Check that order nº 1000001 is shown. Press Done.

4- Go to Add Payment Out window and create a new record for F&B España, Bebidas Alegres BP. Press Add Details.
- Change Transaction Type to = Orders and Invoices.
- Check that the order 1000001 is not shown there.

5- Go to the RTV order 1000001, payment out plan tab and verify paid amount = -7385.84 is shown in there. Payment Out Details are there.

Now repeat all this test but instead of creating and booking a (negative) Reversed Purchase Invoice, step above 3, create a Credit Memo (Invoice) for which negative quantities needs to be changes as positive. Complete the invoice and pay it by using the process button "Add Payment".
While paying the invoice realize that order number is not shown in the same line but only invoice number and the amount is negative -8483.61 for instance.

If you then change the Transaction type to Orders and Invoices a new line is shown in there showing the RTV order number 100002 for instance, but not in the same line showing the invoice. See image attached.

The problem is that relationship between the RTV Order and the Credit Memo Invoice is not there.

There should only be one line in there showing below info:
Order Nº = 1000002
Invoice Nº = 100000903
Payment Method = Transferencia
Expected Date (Invoice one) = 19-08-2016
Invoiced Amount = 8483.61
Expected Amount = Outstanding Amount = -8483.61

If you now pay the invoice (credit memo 100000903), payment out plan of the RTV order is not updated, there are not payment out details for the RTV Order in there, therefore it could be paid.

(0088675)
markmm82 (developer)
2016-07-26 19:09
edited on: 2016-08-09 18:52

Test Plan

1- Go to Return to Vendor window and create a new one for F&B España, Bebidas Alegres BP. Press on Pick/Edit Lines.
- Select a line (for instance a one with product=Vino Blanco 0,75L and qty=2025). Enter a returned quantity (for instance return=2025) and optionally a return reason. Press Done.
- Book the order (RTV Order). Take note of its number (i.e 1000001)
- Check that there is a payment out plan there, having an expected amount = -8698.39 for instance.

2- Go to Return to Vendor Shipment and create a new one for F&B España, Bebidas Alegres BP.
- Press Pick/Edit lines, select the line of previously created RTV Order.
- Press Done and then complete RTV Shipment. Take note of RTV Shipment number (ie. 1000001)

3- Go to Purchase Invoice and create a new one for F&B España, Bebidas Alegres BP. Transaction Document Type = AP CreditMemo.
- Click on Create Lines From. Select RTV Shipment created above. Select the line and press OK.
- Go to the tab Lines, select the line, edit the quantity to a positive value.
- Complete the invoice.
- Pay this Vendor Credit Memo invoice by using the button Add Payment. Check that order nº 1000001 is shown and looks related to this invoice. Press Done.
- Notice that a new payment out is created referencing the invoice and the order.
- Go to the order, Payment Out Plan and Payment Out Details tabs, and notice that the order has been paid and is referenced by the previous payment out.

4- Go to Add Payment Out window and create a new record for F&B España, Bebidas Alegres BP. Press Add Details.
- Change Transaction Type to = Orders and Invoices.
- Check that the order 1000001 nor invoice are not shown there.

Repeat the same steps but creating a AP Invoice and Reversed Purchase Invoice. Notice the payment can be processed correctly.

(0088977)
markmm82 (developer)
2016-08-11 16:24

Test Plan

Test Plan 1
1- Go to Return to Vendor window and create a new one for F&B España, Bebidas Alegres BP. Press on Pick/Edit Lines.
- Select a line (for instance a one with product=Vino Blanco 0,75L and qty=2025). Enter a returned quantity (for instance return=2025) and optionally a return reason. Press Done.
- Book the order (RTV Order). Take note of its number (i.e 1000022)
- Check that there is a payment out plan there, having an expected amount = -8698.39 for instance.

2- Go to Return to Vendor Shipment and create a new one for F&B España, Bebidas Alegres BP.
- Press Pick/Edit lines, select the line of previously created RTV Order.
- Press Done and then complete RTV Shipment. Take note of RTV Shipment number (ie. 1000021)

3- Go to Purchase Invoice and create a new one for F&B España, Bebidas Alegres BP. Transaction Document Type = AP CreditMemo.
- Click on Create Lines From. Select RTV Shipment created above. Select the line and press OK.
- Go to the tab Lines, select the line, edit the quantity to a positive value.
- Complete the invoice. Note that invoiced quantity is positive so Total Gross Amount to pay = 8698.39
- Pay this Vendor Credit Memo invoice by using the button Add Payment. Check that order nº 1000021 is shown and looks related to this invoice. Press Done.
- Notice that a new payment out is created referencing the invoice and the order.
- Go to the order, Payment Out Plan and Payment Out Details tabs, and notice that the order has been paid and is referenced by the previous payment out.

4- Go to Add Payment Out window and create a new record for F&B España, Bebidas Alegres BP. Press Add Details.
- Change Transaction Type to = Orders and Invoices.
- Check that the order 1000021 (or invoice) are not shown there.

Test Plan 2
Repeat steps 1 and 2 same in Test Plan 1. Order No = 1000022
3- Go to Purchase Invoice and create a new one for F&B España, Bebidas Alegres BP. Transaction Document Type = Reversed Purchase Invoice.
- Click on Create Lines From. Select RTV Shipment created above. Select the two lines and press OK.
- Complete the invoice. Note that invoiced quantity is negative so Total Gross Amount to pay = -7385.84
- Pay this reversed purchase invoice by using the button Add Payment. Check that order nº 1000022 is shown and looks related to this invoice. Press Done.
- Notice that a new payment out is created referencing the invoice and the order.
- Go to the order, Payment Out Plan and Payment Out Details tabs, and notice that the order has been paid and is referenced by the previous payment out.

4- Go to Add Payment Out window and create a new record for F&B España, Bebidas Alegres BP. Press Add Details.
- Change Transaction Type to = Orders and Invoices.
- Check that the order 1000022 (or invoice) is not shown there.


Test Plan 3
Repeat test plan 2 but creating a AP Invoice. Notice the payment can be processed correctly and the order and the invoice are paid.


Tests related to issue 32678
- Create new Payment Term named "30-60" and set "offset month due"=2 in header. Add line with "percentage due"=50 and "offset month due"=1
- Go to Business Partner window and relate this new payment term to "Bebidas Alegres" BP.

Test Plan 4
1- Register Purchase Order for Bebidas Alegres using "30-60" payment term. (order no 1000190)
   Add line for any product and qty=800, price = 1.00 and exempt VAT (Compras exentas).
   Add another line for different product and qty=200, price = 1.00 and exempt VAT.
   Process the Order, therefore total gross amount of the order is 1000.00

2- Register a Purchase Invoice for Bebidas Alegres using "30-60" payment term. Dated on 10-08-2016. (invoice no 10000946)
   Run "Create lines from" and select line of 800 units line from the order. DO NOT process invoice

3- Register another Purchase Invoice for Bebidas Alegres using "30-60" payment term. Dated on 10-08-2016. (invoice no 10000947)
   Run "Create lines from" and select line of 800 units once more from the order.
   Edit the line to set qty=-320 units. DO NOT process invoice

4- Process first invoice (invoice no 10000946).
   Run "Add payment" in this first invoice and realize that details are correct :
     12-09-2016 Outstanding Amount = 400.00, (order no 1000190, invoice no 10000946)
     10-10-2016 Outstanding Amount = 400.00, (order no 1000190, invoice no 10000946)
   Select the details and press DONE.
   Notice:
    A new Payment Out is created related to the invoice and the invoice.
    The Invoice is paid (Payment Complete = Yes) Go to the Payment Plan tab and realize that two records was created wit outstanding amount = 0.
   Go back to the order (order no 1000190). Refresh and go to Payment Out Plan, realize that payment plan has been updated
    Paid = 800
    Outstanding = 200.
   It is correct!!!

5- Process second invoice (invoice no 10000947).
   Run "Add payment" in this first invoice and realize that details are correct :
     12-09-2016 Outstanding Amount = -160.00, (order no 1000190, invoice no 10000947)
     10-10-2016 Outstanding Amount = -160.00, (order no 1000190, invoice no 10000947)
   Select the details and press DONE.
   Notice:
    A new Payment Out is created related to the invoice and the invoice.
    The Invoice is paid (Payment Complete = Yes) Go to the Payment Plan tab and realize that two records was created with outstanding amount = 0.
   Go back to the order (order no 1000190). Refresh and go to Payment Out Plan, realize that payment plan has been updated
    Paid = 480 => 800 (paid in the first invoice) - 320 (paid in the second invoice)
    Outstanding = 520 => 1000 (total of the order) - 480 (already paid)
   It is correct!!!


Test Plan 5
- create a purchase order same way as described above.
- create a goods receipt from the order. Receipt all units of product 800+200
- create a purchase invoice from the receipt for one line, 800 product unit line. Complete. Verify add payment details are correct 400.00+400.00
- create a purchase invoice from the receipt for second line, 200 product unit line. Complete.Verify add payment details are correct 100.00+100.00
- notice that purchase order is paid

Test Plan 6
- create a purchase order same way as described above.
- create a goods receipt from the order. Receipt all units of product 800+200
- create a purchase invoice from the receipt for the two lines, 800 product unit line and 200 product line. Complete. Verify add payment details are correct 500.00+500.00

Test Plan 7
- Create a purchase order same way as described above.
- Create a goods receipt from the line of 800 units and receipt only 480
- Create a purchase invoice from the receipt and change invoiced qty = 800. Verify add payment details are correct (400.00+400.00)
- Create another purchase invoice from the receipt. Check that the amount shown is -320, which is correct.
- Press Add Payment for this invoice and check they are correct -160.00+-160.00

Test Plan 8
- Create a purchase order same way as described above.
- Create a goods receipt from the line of 200 units and receipt only 180
- Create a purchase invoice from the receipt and change invoiced qty = 200. Verify add payment details are correct (100.00+100.00)
- Create another purchase invoice from the receipt. Check that the amount shown is -20, which is correct.
- Press Add Payment for this invoice and check they are correct -10.00+-10.00

Test Plan 9
- Create a purchase order same way as described above.
- Create a goods receipt from the line of 800 units and receipt only 480, add another line for the line of 200 units, and receipt only 180
- Create a purchase invoice from the receipt line 1 and change invoiced qty = 800 and line 2 and change invoice qty= 200.00. Verify add payment details are correct (500.00+500.00)
- Create another purchase invoice from the receipt. Check that the amount shown is for line 1 -320 and for line 2 -20, which is correct. Complete the invoice.
- Press Add Payment for this invoice and check they are correct -170.00+-170.00

Repeat same test as above but with negative amounts in the purchase order, that purchase order line 1 -800 units and purchase order line 2 -200.
Check that same behavior is shown.


Tests related to issue 30082
As group admin role:
   Create a new Payment Method and set Automatic Receipt = 'Y'
   Add it to a financial account.

 Test 10:
   Create a Sales Order, set the previously created payment method and Invoice Terms = Immediate.
   Click on Add Payment an create a full payment for the Sales Order.
   Create a Sales Invoice from it and complete it
   Check the Received field and Outstanding field of the Payment Plan of the invoice has been updated correctly.
   Check the Received field and Outstanding field of the Payment Plan of the order has been updated correctly.

 Test 11:
   Create a Sales Order, set the previously created payment method and Invoice Terms = Immediate.
   Create a Sales Invoice from it and complete it
   Check the Received field and Outstanding field of the Payment Plan of the invoice has been updated correctly.
   Check the Received field and Outstanding field of the Payment Plan of the order has been updated correctly.

 Test 12: I am not sure of the steps of this test are OK
   Create a Sales Order, set the previously created payment method and Invoice Terms = Immediate.
   Click on Add Payment an create a partial payment for the Sales Order.
   Create a Sales Invoice from it and complete it
   Check the Received field and Outstanding field of the Payment Plan of the invoice has been updated correctly.
   Check the Received field and Outstanding field of the Payment Plan of the order has been updated correctly.


Test Plan 13 related to issue 29972
As group admin role:
   Create a new Payment Method and set Automatic Receipt = 'Y'
   Add it to a financial account

   Create a Sales Order, set the previously created payment method and Invoice Terms = Immediate
   Create a Sales Invoice from it and complete it
   Check the Received field of the Payment Plan of the order has been updated and the Outstanding amount has been updated too.


Test Plan 14 related to issue 28035
As group admin role:
   Create two purchase orders and book them. first Total gross Amount = 1000, Second Total Gross amount = 300
   Include them in the same purchase invoice and complete it
   Reactivate and book one of the orders
   Check both can be paid!


Test Plan 15 related to issue 24564
1. Register Sales Order for any BP and Invoice Terms = Immediate. Add line for any product and qty=-10. Process Order
2. Register Sales Invoice for same BP. "Create Lines from" previous order and edit line price to set lower price. Process
3. Go to Sales Order and Reactivate it.
4. Go to Sales Invoice and run "Add payment from invoice" process. Realize that 1 detail appear (although sales order info does not appear in pop up as is in Draft status).
5. If you select this detail and process payment, when you post it you can verify that accounting entry is correct!!!
(0089428)
psanjuan (manager)
2016-08-26 08:52
edited on: 2016-08-26 09:15

Please see document in the link below to review test cases done in regards to this issue. Main purpose is to check that relationship between order and invoice in the Invoice Payment Schedule Detail is correct.

https://docs.google.com/spreadsheets/d/1ls1nEP9eG13I5v8Z35-a76Iq2Lk20iVyX4FYHpIulHU/edit#gid=2002024374 [^]

Tab PSJ

(0089430)
psanjuan (manager)
2016-08-26 09:26
edited on: 2016-08-26 09:46

Additional test:

Test 1 - Return from Customer & Return Material Receipt - AR Credit Memo:

- Go to Return from customer window. Create a new one for F&B España, Alimentos y Supermercados BP. Save. Go to Pick/Edit lines and select two lines there, for instance. Enter in each line "returned" quantity. Press Done. Book RFC document. Take note of the number i.e. 1000001. Go to payment plan tab and check expected=outstanding amount = -11.77

- Go to Return Material Receipt window. Create a new one for F&B España, Alimentos y Supermercados BP. Click on Pick/Edit lines. Select all, including the one related to the discount. Press Done. Complete it.

- Go to Sales Invoice window and create a new invoice of type "AR Credit Memo" for F&B España, Alimentos y Supermercados BP. Click on Create Lines From and select RFC order 1000001. Go to lines and check negative lines related to the products as positive and positive line related to the discount as negative. Verifty total gross amount = 11.77. Complete the invoice.

- Go to payment plan tab and check that expected = outstanding amount = 11.77

- Go to Add payment window. verify current invoice is showing the order (that is RFC order). Change Transaction type to Order and Invoices. Verifty nothing changes. Pay the invoice.

- Go to Payment in window and add a new payment for Alimentos y Supermercados BP. Check it is not possible to pay RFC Order 1000001 anymore, as it is already paid.

- Go to the payment in create a verify that Invoice Amount = 11.77, but expected and received amount = -11.77


Test 2 - Repeat same test as above but this time using a Return Material Sales Invoice document, do not changing anything in that invoice.

- Go to Payment in window and add a new payment for Alimentos y Supermercados BP. Check it is not possible to pay RFC Order 1000002 anymore, as it is already paid.

- Go to the payment in create a verify that Invoice Amount = -5.81, and expected and received amount = -5.81


Test 3 - Repeat same test as above but this time using a negative Sales Invoice document, do not changing anything in that invoice.

- Go to Payment in window and add a new payment for Alimentos y Supermercados BP. Check it is not possible to pay RFC Order 1000003 anymore, as it is already paid.

- Go to the payment in create a verify that Invoice Amount = -2.88, and expected and received amount = -2.88


Test 4 - Repeat all 3 test below but instead of selecting the order (RFC Order) in "Create Lines From" window while creating the invoice, select the Return Material Receipt. Results should be the same ones.

(0089433)
psanjuan (manager)
2016-08-26 09:58
edited on: 2016-08-26 10:11

Additional test:

Test 1 - AP Credit Memo creation from Goods Receipt. Positive Order (2 units)

- Go to Purchase Invoice window and create a new one for F&B España, Bebidas Alegres BP.

- Add a line. Select Cerveza Ale 0.5L. Ordered quantity = 2. Book the order.

- Check payment plan tab shows an expected amount = outstanding amount = 3.29

- Go to Goods Receipt window and receipt above order. Complete.

- Go to Purchase Invoice window and create a new AP Credit Memo by selecting goods receipt created before. Complete the invoice.

- Go to payment plan tab and check that the expected amount = outstanding amount = -3.29 (this is correct as credit memo invoice is a reversed invoice).

- Click on Add Payment button and verify that the order is not shown in the line selected only the invoice.

This is correct as the order including +2 units of the product has not been included in an invoice but (-2) regardless AR Credit Memo shows positive amounts in lines.

- Go to the payment out created and check that it only refers to the invoice for a negative amount as Invoice Amount = 3.29, but expected amount = paid amount = -3.29

All of this is correct.


Test 2 - AP Credit Memo creation from Goods Receipt. Negative Order (-2 units)

- Go to Purchase Invoice window and create a new one for F&B España, Bebidas Alegres BP.

- Add a line. Select Cerveza Ale 0.5L. Ordered quantity = -2. Book the order.

- Check payment plan tab shows an expected amount = outstanding amount = -3.29

- Go to Goods Receipt window and receipt above order. Complete.

- Go to Purchase Invoice window and create a new AP Credit Memo by selecting goods receipt created before.

- Go to lines and change -2 invoiced quantity to 2 invoice quantity (AP Credit Memo are positive ones). Complete the invoice.

- Go to payment plan tab and check that the expected amount = outstanding amount = -3.29 (this is correct).

- Click on Add Payment button and verify that the order is shown in the line selected same as the invoice. Pay the invoice.

- Go to the payment out created and check that it refers to the order and the invoice for a negative amount as Invoice Amount = 3.29, but expected amount = paid amount = -3.29

All of this is correct.

(0089854)
hgbot (developer)
2016-09-08 20:26

Repository: erp/devel/pi
Changeset: 0fe55503791b486a98aa465f67f4d22cb5d07925
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Fri Sep 02 01:36:34 2016 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/0fe55503791b486a98aa465f67f4d22cb5d07925 [^]

Fixes issue 33500: Wrong PSD Credit Memo invoices

In case of credit memo's invoiced amount as well as payment amount should be as per the variable multipler arc.
Sign of quantities in case of credit memo APC / ARC are opposite so skip the check done in other related issue.

---
M modules/org.openbravo.advpaymentmngt/src-db/database/model/functions/APRM_GEN_PAYMENTSCHEDULE_INV.xml
---
(0089855)
aferraz (developer)
2016-09-08 20:26

Code review + Testing OK
(0089868)
hudsonbot (developer)
2016-09-09 14:40

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/a0e1673dab60 [^]
Maturity status: Test
(0099976)
aferraz (developer)
2017-10-20 10:40
edited on: 2017-10-20 10:50

Automated tests:

- Sales:
01. Positive Standar Sales Order Paid – Positive Standar Invoice – Simple Payment Terms
02. Positive Standar Sales Order – Positive Standar Invoice Paid – Simple Payment Terms
03. Negative Standar Sales Order Paid – Negative Standar Invoice – Simple Payment Terms
04. Negative Standar Sales Order – Negative Standar Invoice Paid – Simple Payment Terms
05. Negative Standar Sales Order Paid – Negative Reversed Sales Invoice – Simple Payment Terms
06. Negative Standar Sales Order – Negative Reversed Sales Invoice Paid– Simple Payment Terms
07. Negative Standar Sales Order Paid – Positive AR Credit Memo Invoice – Simple Payment Terms
08. Negative Standar Sales Order – Positive AR Credit Memo Invoice Paid – Simple Payment Terms
09. Return From Customer – Positive AR Credit Memo Invoice Paid – Simple Payment Terms
10. Return From Customer – Positive Reversed Sales Invoice Paid – Simple Payment Terms
11. Positive Standar Sales Order Paid – Positive Standar Invoice – Split Payment Terms
12. Positive Standar Sales Order – Positive Standar Invoice Paid – Split Payment Terms
13. Negative Standar Sales Order Paid – Negative Standar Invoice – Split Payment Terms
14. Negative Standar Sales Order – Negative Standar Invoice Paid – Split Payment Terms
15. Negative Standar Sales Order Paid – Negative Reversed Sales Invoice – Split Payment Terms
16. Negative Standar Sales Order – Negative Reversed Sales Invoice Paid– Split Payment Terms
17. Negative Standar Sales Order Paid – Positive AR Credit Memo Invoice – Split Payment Terms
18. Negative Standar Sales Order – Positive AR Credit Memo Invoice Paid – Split Payment Terms
19. Return From Customer – Positive AR Credit Memo Invoice Paid – Split Payment Terms
20. Return From Customer – Positive Reversed Sales Invoice Paid – Split Payment Terms
21. Positive Standar Sales Order – Return From Customer – Positive Standar Invoice Paid – Simple Payment Terms

- Purchase:
01. Positive Standar Sales Order Paid – Positive Standar Invoice – Simple Payment Terms
02. Positive Standar Purchase Order – Positive Standar Invoice Paid – Simple Payment Terms
03. Negative Standar Purchase Order Paid – Negative Standar Invoice – Simple Payment Terms
04. Negative Standar Purchase Order – Negative Standar Invoice Paid – Simple Payment Terms
05. Negative Standar Purchase Order Paid – Negative Reversed Purchase Invoice – Simple Payment Terms
06. Negative Standar Purchase Order – Negative Reversed Purchase Invoice Paid– Simple Payment Terms
07. Negative Standar Purchase Order Paid – Positive AP CreditMemo Invoice – Simple Payment Terms
08. Negative Standar Purchase Order – Positive AP CreditMemo Invoice Paid – Simple Payment Terms
09. Return To Vendor – Positive AP CreditMemo Invoice Paid – Simple Payment Terms
10. Return To Vendor – Positive Reversed Purchase Invoice Paid – Simple Payment Terms
11. Positive Standar Purchase Order Paid – Positive Standar Invoice – Split Payment Terms
12. Positive Standar Purchase Order – Positive Standar Invoice Paid – Split Payment Terms
13. Negative Standar Purchase Order Paid – Negative Standar Invoice – Split Payment Terms
14. Negative Standar Purchase Order – Negative Standar Invoice Paid – Split Payment Terms
15. Negative Standar Purchase Order Paid – Negative Reversed Purchase Invoice – Split Payment Terms
16. Negative Standar Purchase Order – Negative Reversed Purchase Invoice Paid– Split Payment Terms
17. Negative Standar Purchase Order Paid – Positive AP CreditMemo Invoice – Split Payment Terms
18. Negative Standar Purchase Order – Positive AP CreditMemo Invoice Paid – Split Payment Terms
19. Return To Vendor – Positive AP CreditMemo Invoice Paid – Split Payment Terms
20. Return To Vendor – Positive Reversed Purchase Invoice Paid – Split Payment Terms
21. Positive Standar Purchase Order – Goods Receipt – Return To Vendor – Return To Vendor Shipment – Positive Standar Invoice Paid – Simple Payment Terms

(0102615)
hgbot (developer)
2018-02-22 17:22

Repository: tools/automation/int
Changeset: f16d288f7b8e8ada7f3f15c7c60099072881b6db
Author: Armaignac <collazoandy4 <at> gmail.com>
Date: Mon Aug 07 17:00:17 2017 -0400
URL: http://code.openbravo.com/tools/automation/int/rev/f16d288f7b8e8ada7f3f15c7c60099072881b6db [^]

Related to issue 33500: Goods receipts added to the test to multiple run

---
M src-test/com/openbravo/test/integration/erp/modules/functionalteam/procurement/testsuites/PRO_Regressions/PRORegression33500.java
---
(0102616)
hgbot (developer)
2018-02-22 17:22

Repository: tools/automation/int
Changeset: 9b9c22483ebacaf981fadba416edd0a664b11845
Author: Armaignac <collazoandy4 <at> gmail.com>
Date: Thu Aug 17 12:05:15 2017 -0400
URL: http://code.openbravo.com/tools/automation/int/rev/9b9c22483ebacaf981fadba416edd0a664b11845 [^]

Related to issue 33500: Added some automated tests

Created 20 new test with normal paymen term, 10 for Sales and 10 for Purchase,
4 paying from Order and 6 paying from Invoice with
positive standard order - positive standard invoice,
negative standard order - negative standard invoice,
negative standard order - negative reversed invoice,
negative standard order - positive credit memo invoice combinations

---
M src-test/com/openbravo/test/integration/erp/data/sales/transactions/returnfromcustomer/ReturnFromCustomerHeaderData.java
M src-test/com/openbravo/test/integration/erp/gui/sales/transactions/returnfromcustomer/ReturnFromCustomerHeaderTab.java
M src-test/com/openbravo/test/integration/erp/gui/sales/transactions/salesinvoice/CreateLinesFromPopUp.java
M src-test/com/openbravo/test/integration/erp/gui/sales/transactions/salesinvoice/SalesInvoiceHeaderTab.java
M src-test/com/openbravo/test/integration/erp/modules/client/application/navigationbarcomponents/gui/Menu.java
M src-test/com/openbravo/test/integration/erp/modules/functionalteam/procurement/testsuites/PRO_Regressions/PRO_RegressionSuite.java
M src-test/com/openbravo/test/integration/erp/modules/functionalteam/procurement/testsuites/PRO_Regressions/build.xml
M src-test/com/openbravo/test/integration/erp/modules/functionalteam/sales/testsuites/SAL_Regressions/SAL_RegressionSuite.java
M src-test/com/openbravo/test/integration/erp/modules/functionalteam/sales/testsuites/SAL_Regressions/build.xml
M src-test/com/openbravo/test/integration/erp/testscripts/sales/transactions/ReturnFromCustomer.java
M src-test/com/openbravo/test/integration/erp/testscripts/sales/transactions/SalesInvoice.java
A src-test/com/openbravo/test/integration/erp/data/sales/transactions/returnfromcustomer/PaymentInDetailsData.java
A src-test/com/openbravo/test/integration/erp/data/sales/transactions/returnfromcustomer/PaymentInPlanData.java
A src-test/com/openbravo/test/integration/erp/data/sales/transactions/returnmaterialreceipt/ReturnMaterialReceiptHeaderData.java
A src-test/com/openbravo/test/integration/erp/data/sales/transactions/returnmaterialreceipt/ReturnMaterialReceiptLinesData.java
A src-test/com/openbravo/test/integration/erp/data/selectors/ReturnFromCustomerLineSelectorData.java
A src-test/com/openbravo/test/integration/erp/data/selectors/ReturnMaterialReceiptLineSelectorData.java
A src-test/com/openbravo/test/integration/erp/gui/sales/transactions/returnfromcustomer/PaymentInDetailsTab.java
A src-test/com/openbravo/test/integration/erp/gui/sales/transactions/returnfromcustomer/PaymentInPlanTab.java
A src-test/com/openbravo/test/integration/erp/gui/sales/transactions/returnmaterialreceipt/LinesTab.java
A src-test/com/openbravo/test/integration/erp/gui/sales/transactions/returnmaterialreceipt/ReturnMaterialReceiptHeaderTab.java
A src-test/com/openbravo/test/integration/erp/gui/sales/transactions/returnmaterialreceipt/ReturnMaterialReceiptWindow.java
A src-test/com/openbravo/test/integration/erp/modules/functionalteam/procurement/testsuites/PRO_Regressions/PRORegression33500_1.java
A src-test/com/openbravo/test/integration/erp/modules/functionalteam/procurement/testsuites/PRO_Regressions/PRORegression33500_10.java
A src-test/com/openbravo/test/integration/erp/modules/functionalteam/procurement/testsuites/PRO_Regressions/PRORegression33500_2.java
A src-test/com/openbravo/test/integration/erp/modules/functionalteam/procurement/testsuites/PRO_Regressions/PRORegression33500_3.java
A src-test/com/openbravo/test/integration/erp/modules/functionalteam/procurement/testsuites/PRO_Regressions/PRORegression33500_4.java
A src-test/com/openbravo/test/integration/erp/modules/functionalteam/procurement/testsuites/PRO_Regressions/PRORegression33500_5.java
A src-test/com/openbravo/test/integration/erp/modules/functionalteam/procurement/testsuites/PRO_Regressions/PRORegression33500_6.java
A src-test/com/openbravo/test/integration/erp/modules/functionalteam/procurement/testsuites/PRO_Regressions/PRORegression33500_7.java
A src-test/com/openbravo/test/integration/erp/modules/functionalteam/procurement/testsuites/PRO_Regressions/PRORegression33500_8.java
A src-test/com/openbravo/test/integration/erp/modules/functionalteam/procurement/testsuites/PRO_Regressions/PRORegression33500_9.java
A src-test/com/openbravo/test/integration/erp/modules/functionalteam/sales/testsuites/SAL_Regressions/SALRegression33500_1.java
A src-test/com/openbravo/test/integration/erp/modules/functionalteam/sales/testsuites/SAL_Regressions/SALRegression33500_10.java
A src-test/com/openbravo/test/integration/erp/modules/functionalteam/sales/testsuites/SAL_Regressions/SALRegression33500_2.java
A src-test/com/openbravo/test/integration/erp/modules/functionalteam/sales/testsuites/SAL_Regressions/SALRegression33500_3.java
A src-test/com/openbravo/test/integration/erp/modules/functionalteam/sales/testsuites/SAL_Regressions/SALRegression33500_4.java
A src-test/com/openbravo/test/integration/erp/modules/functionalteam/sales/testsuites/SAL_Regressions/SALRegression33500_5.java
A src-test/com/openbravo/test/integration/erp/modules/functionalteam/sales/testsuites/SAL_Regressions/SALRegression33500_6.java
A src-test/com/openbravo/test/integration/erp/modules/functionalteam/sales/testsuites/SAL_Regressions/SALRegression33500_7.java
A src-test/com/openbravo/test/integration/erp/modules/functionalteam/sales/testsuites/SAL_Regressions/SALRegression33500_8.java
A src-test/com/openbravo/test/integration/erp/modules/functionalteam/sales/testsuites/SAL_Regressions/SALRegression33500_9.java
A src-test/com/openbravo/test/integration/erp/testscripts/sales/transactions/ReturnMaterialReceipt.java
R src-test/com/openbravo/test/integration/erp/modules/functionalteam/procurement/testsuites/PRO_Regressions/PRORegression33500.java
---
(0102618)
hgbot (developer)
2018-02-22 17:22

Repository: tools/automation/int
Changeset: d4df100d347b0fd6cfd3ca5e19fdc60d33ba7c6a
Author: Armaignac <collazoandy4 <at> gmail.com>
Date: Tue Aug 22 16:17:41 2017 -0400
URL: http://code.openbravo.com/tools/automation/int/rev/d4df100d347b0fd6cfd3ca5e19fdc60d33ba7c6a [^]

Related to issue 33500: Test name renamed

---
M src-test/com/openbravo/test/integration/erp/modules/functionalteam/procurement/testsuites/PRO_Regressions/PRO_RegressionSuite.java
M src-test/com/openbravo/test/integration/erp/modules/functionalteam/procurement/testsuites/PRO_Regressions/build.xml
M src-test/com/openbravo/test/integration/erp/modules/functionalteam/sales/testsuites/SAL_Regressions/SAL_RegressionSuite.java
M src-test/com/openbravo/test/integration/erp/modules/functionalteam/sales/testsuites/SAL_Regressions/build.xml
A src-test/com/openbravo/test/integration/erp/modules/functionalteam/procurement/testsuites/PRO_Regressions/PRORegression33500Out1.java
A src-test/com/openbravo/test/integration/erp/modules/functionalteam/procurement/testsuites/PRO_Regressions/PRORegression33500Out10.java
A src-test/com/openbravo/test/integration/erp/modules/functionalteam/procurement/testsuites/PRO_Regressions/PRORegression33500Out2.java
A src-test/com/openbravo/test/integration/erp/modules/functionalteam/procurement/testsuites/PRO_Regressions/PRORegression33500Out3.java
A src-test/com/openbravo/test/integration/erp/modules/functionalteam/procurement/testsuites/PRO_Regressions/PRORegression33500Out4.java
A src-test/com/openbravo/test/integration/erp/modules/functionalteam/procurement/testsuites/PRO_Regressions/PRORegression33500Out5.java
A src-test/com/openbravo/test/integration/erp/modules/functionalteam/procurement/testsuites/PRO_Regressions/PRORegression33500Out6.java
A src-test/com/openbravo/test/integration/erp/modules/functionalteam/procurement/testsuites/PRO_Regressions/PRORegression33500Out7.java
A src-test/com/openbravo/test/integration/erp/modules/functionalteam/procurement/testsuites/PRO_Regressions/PRORegression33500Out8.java
A src-test/com/openbravo/test/integration/erp/modules/functionalteam/procurement/testsuites/PRO_Regressions/PRORegression33500Out9.java
A src-test/com/openbravo/test/integration/erp/modules/functionalteam/sales/testsuites/SAL_Regressions/SALRegression33500In1.java
A src-test/com/openbravo/test/integration/erp/modules/functionalteam/sales/testsuites/SAL_Regressions/SALRegression33500In10.java
A src-test/com/openbravo/test/integration/erp/modules/functionalteam/sales/testsuites/SAL_Regressions/SALRegression33500In2.java
A src-test/com/openbravo/test/integration/erp/modules/functionalteam/sales/testsuites/SAL_Regressions/SALRegression33500In3.java
A src-test/com/openbravo/test/integration/erp/modules/functionalteam/sales/testsuites/SAL_Regressions/SALRegression33500In4.java
A src-test/com/openbravo/test/integration/erp/modules/functionalteam/sales/testsuites/SAL_Regressions/SALRegression33500In5.java
A src-test/com/openbravo/test/integration/erp/modules/functionalteam/sales/testsuites/SAL_Regressions/SALRegression33500In6.java
A src-test/com/openbravo/test/integration/erp/modules/functionalteam/sales/testsuites/SAL_Regressions/SALRegression33500In7.java
A src-test/com/openbravo/test/integration/erp/modules/functionalteam/sales/testsuites/SAL_Regressions/SALRegression33500In8.java
A src-test/com/openbravo/test/integration/erp/modules/functionalteam/sales/testsuites/SAL_Regressions/SALRegression33500In9.java
R src-test/com/openbravo/test/integration/erp/modules/functionalteam/procurement/testsuites/PRO_Regressions/PRORegression33500_1.java
R src-test/com/openbravo/test/integration/erp/modules/functionalteam/procurement/testsuites/PRO_Regressions/PRORegression33500_10.java
R src-test/com/openbravo/test/integration/erp/modules/functionalteam/procurement/testsuites/PRO_Regressions/PRORegression33500_2.java
R src-test/com/openbravo/test/integration/erp/modules/functionalteam/procurement/testsuites/PRO_Regressions/PRORegression33500_3.java
R src-test/com/openbravo/test/integration/erp/modules/functionalteam/procurement/testsuites/PRO_Regressions/PRORegression33500_4.java
R src-test/com/openbravo/test/integration/erp/modules/functionalteam/procurement/testsuites/PRO_Regressions/PRORegression33500_5.java
R src-test/com/openbravo/test/integration/erp/modules/functionalteam/procurement/testsuites/PRO_Regressions/PRORegression33500_6.java
R src-test/com/openbravo/test/integration/erp/modules/functionalteam/procurement/testsuites/PRO_Regressions/PRORegression33500_7.java
R src-test/com/openbravo/test/integration/erp/modules/functionalteam/procurement/testsuites/PRO_Regressions/PRORegression33500_8.java
R src-test/com/openbravo/test/integration/erp/modules/functionalteam/procurement/testsuites/PRO_Regressions/PRORegression33500_9.java
R src-test/com/openbravo/test/integration/erp/modules/functionalteam/sales/testsuites/SAL_Regressions/SALRegression33500_1.java
R src-test/com/openbravo/test/integration/erp/modules/functionalteam/sales/testsuites/SAL_Regressions/SALRegression33500_10.java
R src-test/com/openbravo/test/integration/erp/modules/functionalteam/sales/testsuites/SAL_Regressions/SALRegression33500_2.java
R src-test/com/openbravo/test/integration/erp/modules/functionalteam/sales/testsuites/SAL_Regressions/SALRegression33500_3.java
R src-test/com/openbravo/test/integration/erp/modules/functionalteam/sales/testsuites/SAL_Regressions/SALRegression33500_4.java
R src-test/com/openbravo/test/integration/erp/modules/functionalteam/sales/testsuites/SAL_Regressions/SALRegression33500_5.java
R src-test/com/openbravo/test/integration/erp/modules/functionalteam/sales/testsuites/SAL_Regressions/SALRegression33500_6.java
R src-test/com/openbravo/test/integration/erp/modules/functionalteam/sales/testsuites/SAL_Regressions/SALRegression33500_7.java
R src-test/com/openbravo/test/integration/erp/modules/functionalteam/sales/testsuites/SAL_Regressions/SALRegression33500_8.java
R src-test/com/openbravo/test/integration/erp/modules/functionalteam/sales/testsuites/SAL_Regressions/SALRegression33500_9.java
---
(0102619)
hgbot (developer)
2018-02-22 17:22

Repository: tools/automation/int
Changeset: 550521afe5b8e5109635f8a9e51d7b6d7a7102b3
Author: Armaignac <collazoandy4 <at> gmail.com>
Date: Thu Aug 24 15:29:50 2017 -0400
URL: http://code.openbravo.com/tools/automation/int/rev/550521afe5b8e5109635f8a9e51d7b6d7a7102b3 [^]

Related to issue 33500:Added some automated test

Created 20 new test with payment plan divided, 10 for Sales and 10 for Purchase,
4 paying from Order and 6 paying from Invoice with
positive standard order - positive standard invoice,
negative standard order - negative standard invoice,
negative standard order - negative reversed invoice,
negative standard order - positive credit memo invoice combinations

---
M src-test/com/openbravo/test/integration/erp/data/procurement/transactions/returntovendor/PaymentOutPlanData.java
M src-test/com/openbravo/test/integration/erp/gui/sales/transactions/salesinvoice/PaymentInPlanTab.java
M src-test/com/openbravo/test/integration/erp/modules/functionalteam/procurement/testsuites/PRO_Regressions/PRORegression33500Out10.java
M src-test/com/openbravo/test/integration/erp/modules/functionalteam/procurement/testsuites/PRO_Regressions/PRORegression33500Out9.java
M src-test/com/openbravo/test/integration/erp/modules/functionalteam/procurement/testsuites/PRO_Regressions/PRO_RegressionSuite.java
M src-test/com/openbravo/test/integration/erp/modules/functionalteam/procurement/testsuites/PRO_Regressions/build.xml
M src-test/com/openbravo/test/integration/erp/modules/functionalteam/sales/testsuites/SAL_Regressions/SAL_RegressionSuite.java
M src-test/com/openbravo/test/integration/erp/modules/functionalteam/sales/testsuites/SAL_Regressions/build.xml
M src-test/com/openbravo/test/integration/erp/testscripts/financial/receivablespayables/transactions/PaymentOut.java
M src-test/com/openbravo/test/integration/erp/testscripts/procurement/transactions/PurchaseInvoice.java
M src-test/com/openbravo/test/integration/erp/testscripts/sales/transactions/SalesInvoice.java
M src-test/com/openbravo/test/integration/util/OBDate.java
A src-test/com/openbravo/test/integration/erp/modules/functionalteam/procurement/testsuites/PRO_Regressions/PRORegression33500Out11.java
A src-test/com/openbravo/test/integration/erp/modules/functionalteam/procurement/testsuites/PRO_Regressions/PRORegression33500Out12.java
A src-test/com/openbravo/test/integration/erp/modules/functionalteam/procurement/testsuites/PRO_Regressions/PRORegression33500Out13.java
A src-test/com/openbravo/test/integration/erp/modules/functionalteam/procurement/testsuites/PRO_Regressions/PRORegression33500Out14.java
A src-test/com/openbravo/test/integration/erp/modules/functionalteam/procurement/testsuites/PRO_Regressions/PRORegression33500Out15.java
A src-test/com/openbravo/test/integration/erp/modules/functionalteam/procurement/testsuites/PRO_Regressions/PRORegression33500Out16.java
A src-test/com/openbravo/test/integration/erp/modules/functionalteam/procurement/testsuites/PRO_Regressions/PRORegression33500Out17.java
A src-test/com/openbravo/test/integration/erp/modules/functionalteam/procurement/testsuites/PRO_Regressions/PRORegression33500Out18.java
A src-test/com/openbravo/test/integration/erp/modules/functionalteam/procurement/testsuites/PRO_Regressions/PRORegression33500Out19.java
A src-test/com/openbravo/test/integration/erp/modules/functionalteam/procurement/testsuites/PRO_Regressions/PRORegression33500Out20.java
A src-test/com/openbravo/test/integration/erp/modules/functionalteam/sales/testsuites/SAL_Regressions/SALRegression33500In11.java
A src-test/com/openbravo/test/integration/erp/modules/functionalteam/sales/testsuites/SAL_Regressions/SALRegression33500In12.java
A src-test/com/openbravo/test/integration/erp/modules/functionalteam/sales/testsuites/SAL_Regressions/SALRegression33500In13.java
A src-test/com/openbravo/test/integration/erp/modules/functionalteam/sales/testsuites/SAL_Regressions/SALRegression33500In14.java
A src-test/com/openbravo/test/integration/erp/modules/functionalteam/sales/testsuites/SAL_Regressions/SALRegression33500In15.java
A src-test/com/openbravo/test/integration/erp/modules/functionalteam/sales/testsuites/SAL_Regressions/SALRegression33500In16.java
A src-test/com/openbravo/test/integration/erp/modules/functionalteam/sales/testsuites/SAL_Regressions/SALRegression33500In17.java
A src-test/com/openbravo/test/integration/erp/modules/functionalteam/sales/testsuites/SAL_Regressions/SALRegression33500In18.java
A src-test/com/openbravo/test/integration/erp/modules/functionalteam/sales/testsuites/SAL_Regressions/SALRegression33500In19.java
A src-test/com/openbravo/test/integration/erp/modules/functionalteam/sales/testsuites/SAL_Regressions/SALRegression33500In20.java
---
(0102620)
hgbot (developer)
2018-02-22 17:22

Repository: tools/automation/int
Changeset: 7ad1f476d0bfd648d0f11c9e6e353a031b38cdee
Author: Armaignac <collazoandy4 <at> gmail.com>
Date: Tue Aug 29 11:25:18 2017 -0400
URL: http://code.openbravo.com/tools/automation/int/rev/7ad1f476d0bfd648d0f11c9e6e353a031b38cdee [^]

Related to issue 33500:Added some automated test

Created a test related to issue 35726
Incluided support to create lines from a purchase order especifying the order line

---
M src-test/com/openbravo/test/integration/erp/gui/procurement/transactions/purchaseinvoice/CreateLinesFromPopUp.java
M src-test/com/openbravo/test/integration/erp/gui/procurement/transactions/purchaseinvoice/PurchaseInvoiceHeaderTab.java
M src-test/com/openbravo/test/integration/erp/modules/functionalteam/procurement/testsuites/PRO_Regressions/PRO_RegressionSuite.java
M src-test/com/openbravo/test/integration/erp/modules/functionalteam/procurement/testsuites/PRO_Regressions/build.xml
M src-test/com/openbravo/test/integration/erp/modules/functionalteam/sales/testsuites/SAL_Regressions/SAL_RegressionSuite.java
M src-test/com/openbravo/test/integration/erp/modules/functionalteam/sales/testsuites/SAL_Regressions/build.xml
M src-test/com/openbravo/test/integration/erp/testscripts/procurement/transactions/PurchaseInvoice.java
A src-test/com/openbravo/test/integration/erp/modules/functionalteam/procurement/testsuites/PRO_Regressions/PRORegression33500Out21.java
A src-test/com/openbravo/test/integration/erp/modules/functionalteam/sales/testsuites/SAL_Regressions/SALRegression33500In21.java
---
(0102623)
hgbot (developer)
2018-02-22 17:22

Repository: tools/automation/int
Changeset: ae5d9610dba81edd7c551e89c3617a4f6b50dda8
Author: Armaignac <collazoandy4 <at> gmail.com>
Date: Fri Sep 01 18:36:56 2017 -0400
URL: http://code.openbravo.com/tools/automation/int/rev/ae5d9610dba81edd7c551e89c3617a4f6b50dda8 [^]

Related to issue 33500: Removed due date filter in payment

The filter in payment plan and payment details are causing false positive

---
M src-test/com/openbravo/test/integration/erp/modules/functionalteam/procurement/testsuites/PRO_Regressions/PRORegression33500Out11.java
M src-test/com/openbravo/test/integration/erp/modules/functionalteam/procurement/testsuites/PRO_Regressions/PRORegression33500Out12.java
M src-test/com/openbravo/test/integration/erp/modules/functionalteam/procurement/testsuites/PRO_Regressions/PRORegression33500Out13.java
M src-test/com/openbravo/test/integration/erp/modules/functionalteam/procurement/testsuites/PRO_Regressions/PRORegression33500Out14.java
M src-test/com/openbravo/test/integration/erp/modules/functionalteam/procurement/testsuites/PRO_Regressions/PRORegression33500Out15.java
M src-test/com/openbravo/test/integration/erp/modules/functionalteam/procurement/testsuites/PRO_Regressions/PRORegression33500Out16.java
M src-test/com/openbravo/test/integration/erp/modules/functionalteam/procurement/testsuites/PRO_Regressions/PRORegression33500Out17.java
M src-test/com/openbravo/test/integration/erp/modules/functionalteam/procurement/testsuites/PRO_Regressions/PRORegression33500Out18.java
M src-test/com/openbravo/test/integration/erp/modules/functionalteam/procurement/testsuites/PRO_Regressions/PRORegression33500Out19.java
M src-test/com/openbravo/test/integration/erp/modules/functionalteam/procurement/testsuites/PRO_Regressions/PRORegression33500Out20.java
M src-test/com/openbravo/test/integration/erp/modules/functionalteam/sales/testsuites/SAL_Regressions/SALRegression33500In11.java
M src-test/com/openbravo/test/integration/erp/modules/functionalteam/sales/testsuites/SAL_Regressions/SALRegression33500In12.java
M src-test/com/openbravo/test/integration/erp/modules/functionalteam/sales/testsuites/SAL_Regressions/SALRegression33500In13.java
M src-test/com/openbravo/test/integration/erp/modules/functionalteam/sales/testsuites/SAL_Regressions/SALRegression33500In14.java
M src-test/com/openbravo/test/integration/erp/modules/functionalteam/sales/testsuites/SAL_Regressions/SALRegression33500In15.java
M src-test/com/openbravo/test/integration/erp/modules/functionalteam/sales/testsuites/SAL_Regressions/SALRegression33500In16.java
M src-test/com/openbravo/test/integration/erp/modules/functionalteam/sales/testsuites/SAL_Regressions/SALRegression33500In17.java
M src-test/com/openbravo/test/integration/erp/modules/functionalteam/sales/testsuites/SAL_Regressions/SALRegression33500In18.java
M src-test/com/openbravo/test/integration/erp/modules/functionalteam/sales/testsuites/SAL_Regressions/SALRegression33500In19.java
M src-test/com/openbravo/test/integration/erp/modules/functionalteam/sales/testsuites/SAL_Regressions/SALRegression33500In20.java
---
(0102628)
hgbot (developer)
2018-02-22 17:23

Repository: tools/automation/int
Changeset: a890d667a0375ccf4a2c68ea8d164cb95cd325d6
Author: Armaignac <collazoandy4 <at> gmail.com>
Date: Thu Sep 14 11:17:00 2017 -0400
URL: http://code.openbravo.com/tools/automation/int/rev/a890d667a0375ccf4a2c68ea8d164cb95cd325d6 [^]

Related to issue 33500:Added an extra time opening the related windows

---
M src-test/com/openbravo/test/integration/erp/modules/functionalteam/procurement/testsuites/PRO_Regressions/PRORegression33500Out10.java
M src-test/com/openbravo/test/integration/erp/modules/functionalteam/procurement/testsuites/PRO_Regressions/PRORegression33500Out19.java
M src-test/com/openbravo/test/integration/erp/modules/functionalteam/procurement/testsuites/PRO_Regressions/PRORegression33500Out20.java
M src-test/com/openbravo/test/integration/erp/modules/functionalteam/procurement/testsuites/PRO_Regressions/PRORegression33500Out21.java
M src-test/com/openbravo/test/integration/erp/modules/functionalteam/sales/testsuites/SAL_Regressions/SALRegression33500In10.java
M src-test/com/openbravo/test/integration/erp/modules/functionalteam/sales/testsuites/SAL_Regressions/SALRegression33500In19.java
M src-test/com/openbravo/test/integration/erp/modules/functionalteam/sales/testsuites/SAL_Regressions/SALRegression33500In20.java
M src-test/com/openbravo/test/integration/erp/modules/functionalteam/sales/testsuites/SAL_Regressions/SALRegression33500In21.java
---
(0102631)
hgbot (developer)
2018-02-22 17:23

Repository: tools/automation/int
Changeset: ddfda20c913a7ad23e47d527c01b4f6fda884657
Author: Armaignac <collazoandy4 <at> gmail.com>
Date: Wed Oct 18 17:37:12 2017 -0400
URL: http://code.openbravo.com/tools/automation/int/rev/ddfda20c913a7ad23e47d527c01b4f6fda884657 [^]

Related to issue 33500: Fixed logs error

---
M src-test/com/openbravo/test/integration/erp/modules/functionalteam/addpayment/testsuites/APR_Regressions/APRIn_Regressions2/APRRegression33500In13.java
M src-test/com/openbravo/test/integration/erp/modules/functionalteam/addpayment/testsuites/APR_Regressions/APRIn_Regressions2/APRRegression33500In14.java
M src-test/com/openbravo/test/integration/erp/modules/functionalteam/addpayment/testsuites/APR_Regressions/APRIn_Regressions2/APRRegression33500In15.java
M src-test/com/openbravo/test/integration/erp/modules/functionalteam/addpayment/testsuites/APR_Regressions/APRIn_Regressions2/APRRegression33500In16.java
M src-test/com/openbravo/test/integration/erp/modules/functionalteam/addpayment/testsuites/APR_Regressions/APRIn_Regressions2/APRRegression33500In17.java
M src-test/com/openbravo/test/integration/erp/modules/functionalteam/addpayment/testsuites/APR_Regressions/APRIn_Regressions2/APRRegression33500In18.java
---

- Issue History
Date Modified Username Field Change
2016-07-19 17:31 maite New Issue
2016-07-19 17:31 maite Assigned To => Triage Finance
2016-07-19 17:31 maite Modules => Core
2016-07-19 17:31 maite Triggers an Emergency Pack => No
2016-07-19 17:31 maite Issue Monitored: networkb
2016-07-19 17:40 maite Steps to Reproduce Updated View Revisions
2016-07-19 18:44 aferraz Assigned To Triage Finance => markmm82
2016-07-20 13:54 psanjuan Note Added: 0088599
2016-07-20 14:03 psanjuan Note Edited: 0088599 View Revisions
2016-07-20 14:13 psanjuan Note Edited: 0088599 View Revisions
2016-07-20 14:14 psanjuan Note Edited: 0088599 View Revisions
2016-07-20 14:19 psanjuan Note Edited: 0088599 View Revisions
2016-07-20 14:22 psanjuan Note Edited: 0088599 View Revisions
2016-07-20 14:23 psanjuan File Added: Issue_33500.png
2016-07-20 14:25 psanjuan Note Edited: 0088599 View Revisions
2016-07-20 14:25 psanjuan Note Edited: 0088599 View Revisions
2016-07-20 17:09 markmm82 Status new => scheduled
2016-07-26 19:09 markmm82 Note Added: 0088675
2016-08-09 18:52 markmm82 Note Edited: 0088675 View Revisions
2016-08-10 13:42 aferraz Relationship added related to 0032678
2016-08-10 14:23 aferraz Relationship added related to 0030082
2016-08-10 14:25 aferraz Relationship added related to 0029972
2016-08-10 14:28 aferraz Relationship added related to 0028035
2016-08-10 14:29 aferraz Relationship added related to 0024564
2016-08-11 11:48 ngarcia Issue Monitored: ngarcia
2016-08-11 16:24 markmm82 Note Added: 0088977
2016-08-17 11:36 aferraz Assigned To markmm82 => AtulOpenbravo
2016-08-26 08:52 psanjuan Note Added: 0089428
2016-08-26 08:54 psanjuan Note Edited: 0089428 View Revisions
2016-08-26 09:15 psanjuan Note Edited: 0089428 View Revisions
2016-08-26 09:26 psanjuan Note Added: 0089430
2016-08-26 09:27 psanjuan Note Edited: 0089430 View Revisions
2016-08-26 09:28 psanjuan Note Edited: 0089430 View Revisions
2016-08-26 09:32 psanjuan Note Edited: 0089430 View Revisions
2016-08-26 09:36 psanjuan Note Edited: 0089430 View Revisions
2016-08-26 09:46 psanjuan Note Edited: 0089430 View Revisions
2016-08-26 09:58 psanjuan Note Added: 0089433
2016-08-26 10:11 psanjuan Note Edited: 0089433 View Revisions
2016-09-08 20:26 hgbot Checkin
2016-09-08 20:26 hgbot Note Added: 0089854
2016-09-08 20:26 hgbot Status scheduled => resolved
2016-09-08 20:26 hgbot Resolution open => fixed
2016-09-08 20:26 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/0fe55503791b486a98aa465f67f4d22cb5d07925 [^]
2016-09-08 20:26 aferraz Review Assigned To => aferraz
2016-09-08 20:26 aferraz Note Added: 0089855
2016-09-08 20:26 aferraz Status resolved => closed
2016-09-08 20:26 aferraz Fixed in Version => 3.0PR16Q4
2016-09-09 14:40 hudsonbot Checkin
2016-09-09 14:40 hudsonbot Note Added: 0089868
2017-04-04 12:27 ngarcia Relationship added blocks 0035683
2017-05-02 13:41 aferraz Relationship added related to 0035726
2017-08-21 14:26 aferraz Relationship added related to 0036637
2017-09-12 09:41 aferraz Relationship added related to 0036745
2017-10-20 10:40 aferraz Note Added: 0099976
2017-10-20 10:50 aferraz Note Edited: 0099976 View Revisions
2017-11-07 11:53 ngarcia Relationship added related to 0037239
2018-02-22 17:22 hgbot Checkin
2018-02-22 17:22 hgbot Note Added: 0102615
2018-02-22 17:22 hgbot Checkin
2018-02-22 17:22 hgbot Note Added: 0102616
2018-02-22 17:22 hgbot Checkin
2018-02-22 17:22 hgbot Note Added: 0102618
2018-02-22 17:22 hgbot Checkin
2018-02-22 17:22 hgbot Note Added: 0102619
2018-02-22 17:22 hgbot Checkin
2018-02-22 17:22 hgbot Note Added: 0102620
2018-02-22 17:22 hgbot Checkin
2018-02-22 17:22 hgbot Note Added: 0102623
2018-02-22 17:23 hgbot Checkin
2018-02-22 17:23 hgbot Note Added: 0102628
2018-02-22 17:23 hgbot Checkin
2018-02-22 17:23 hgbot Note Added: 0102631


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker